"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const vscode = require("vscode");
class MassFormatter {
    constructor() {
        this.shouldCancel = false;
    }
    formatAllFiles() {
        return __awaiter(this, void 0, void 0, function* () {
            let u = 0;
            this.shouldCancel = false;
            let visited = [];
            while (true) {
                let editor = vscode.window.activeTextEditor;
                if (editor) {
                    let filename = editor.document.fileName;
                    if (filename.endsWith("json")) {
                        yield vscode.commands.executeCommand("extension.overrideFormatWhileAllTabs");
                    }
                    if (this.shouldCancel || visited.indexOf(filename) > -1) {
                        break;
                    }
                    else {
                        visited.push(filename);
                    }
                    u++;
                }
                else {
                    break;
                }
                yield vscode.commands.executeCommand("workbench.action.nextEditor");
            }
            vscode.window.showInformationMessage("Formatted " + u + " files.");
        });
    }
}
exports.MassFormatter = MassFormatter;
//# sourceMappingURL=massformatter.js.map